Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.version19

# Class V19Database

java.lang.Object
org.firebirdsql.gds.ng.AbstractFbAttachment<T>
org.firebirdsql.gds.ng.AbstractFbDatabase<WireDatabaseConnection>
org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase
org.firebirdsql.gds.ng.wire.version10.V10Database
org.firebirdsql.gds.ng.wire.version11.V11Database
org.firebirdsql.gds.ng.wire.version12.V12Database
org.firebirdsql.gds.ng.wire.version13.V13Database
org.firebirdsql.gds.ng.wire.version15.V15Database
org.firebirdsql.gds.ng.wire.version16.V16Database
org.firebirdsql.gds.ng.wire.version18.V18Database
org.firebirdsql.gds.ng.wire.version19.V19Database

All Implemented Interfaces:
  `AutoCloseable`, `FbAttachment`, `FbDatabase`, `ExceptionListenable`, `TransactionListener`, `FbWireAttachment`, `FbWireDatabase`

public class V19Database extends V18Database
`FbWireDatabase` implementation for the version 19 wire protocol.

Since:
  6.0.2
Author:
  Mark Rotteveel

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.wire.FbWireAttachment

`FbWireAttachment.AcceptPacket`

## Field Summary

### Fields inherited from class org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase

`protocolDescriptor, wireOperations`

### Fields inherited from class org.firebirdsql.gds.ng.AbstractFbDatabase

`databaseListenerDispatcher`

### Fields inherited from class org.firebirdsql.gds.ng.AbstractFbAttachment

`connection, exceptionListenerDispatcher`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`V19Database(WireDatabaseConnection connection, ProtocolDescriptor descriptor)`
Creates a V19Database instance.

## Method Summary

Modifier and Type
Method
Description
`FbBlob`
`createBlobForInput(FbTransaction transaction, BlobParameterBuffer blobParameterBuffer, long blobId)`
Creates a blob for read access to an existing blob on the server.
`protected void`
`registerInlineBlob(FbWireTransaction transaction, InlineBlob inlineBlob)`

### Methods inherited from class org.firebirdsql.gds.ng.wire.version12.V12Database

`cancelOperation, getFilenameEncoding`

### Methods inherited from class org.firebirdsql.gds.ng.wire.version11.V11Database

`releaseObject`

### Methods inherited from class org.firebirdsql.gds.ng.wire.version10.V10Database

`afterAttachActions, attach, attachOrCreate, authReceiveResponse, createDatabase, createStatement, doReleaseObjectPacket, dropDatabase, executeImmediate, getBlrCalculator, initAsynchronousChannel, internalDetach, processAttachOrCreateResponse, processReleaseObjectResponse, reconnectTransaction, sendAttachOrCreateToBuffer, startTransaction, startTransaction`

### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase

`cancelEvent, checkAttached, checkConnected, closeConnection, completeDeferredActions, consumePackets, countEvents, createBlobForOutput, createEventHandle, enqueueDeferredAction, forceClose, getDatabaseInfo, getHandle, getInfo, getWireOperations, getXdrIn, getXdrOut, getXdrStreamAccess, isAttached, queueEvent, readGenericResponse, readResponse, readSqlResponse, setNetworkTimeout`

### Methods inherited from class org.firebirdsql.gds.ng.AbstractFbDatabase

`addDatabaseListener, addWeakDatabaseListener, close, createBlobParameterBuffer, createTransactionParameterBuffer, emptyRowDescriptor, getActiveTransactionCount, getConnectionDialect, getConnectionProperties, getDatabaseDialect, getDatabaseInfo, getDatabaseInformationProcessor, getDatabaseWarningCallback, getDescribeDatabaseInfoBlock, getOdsMajor, getOdsMinor, getOdsVersion, getParameterDescriptionInfoRequestItems, getStatementInfoRequestItems, getTransactionIdBuffer, removeDatabaseListener, setDatabaseDialect, setOdsMajor, setOdsMinor, transactionAdded, transactionStateChanged`

### Methods inherited from class org.firebirdsql.gds.ng.AbstractFbAttachment

`addExceptionListener, getDatatypeCoder, getEncoding, getEncodingFactory, getNetworkTimeout, getServerVersion, isLockedByCurrentThread, removeExceptionListener, requireNotAttached, safelyDetach, setAttached, setDetached, setServerVersion, withLock`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

`addExceptionListener, removeExceptionListener`

### Methods inherited from interface org.firebirdsql.gds.ng.FbAttachment

`close, forceClose, getDatatypeCoder, getEncoding, getEncodingFactory, getNetworkTimeout, getServerVersion, isAttached, isLockedByCurrentThread, setNetworkTimeout, withLock`

### Methods inherited from interface org.firebirdsql.gds.ng.FbDatabase

`addDatabaseListener, addWeakDatabaseListener, cancelEvent, countEvents, createBlobForInput, createBlobForInput, createBlobForOutput, createBlobForOutput, createBlobForOutput, createBlobParameterBuffer, createEventHandle, createTransactionParameterBuffer, emptyRowDescriptor, getConnectionDialect, getConnectionProperties, getDatabaseDialect, getDatabaseInfo, getDatabaseInfo, getHandle, getOdsMajor, getOdsMinor, getOdsVersion, queueEvent, removeDatabaseListener`

### Methods inherited from interface org.firebirdsql.gds.ng.wire.FbWireAttachment

`getWireOperations, getXdrStreamAccess, readGenericResponse`

### Methods inherited from interface org.firebirdsql.gds.ng.wire.FbWireDatabase

`completeDeferredActions, consumePackets, enqueueDeferredAction, getInfo, readResponse, readSqlResponse`

## Constructor Details

### V19Database

protected V19Database(WireDatabaseConnection connection, ProtocolDescriptor descriptor)
Creates a V19Database instance.

Parameters:
  `connection` - a WireConnection with an established connection to the server.
  `descriptor` - the ProtocolDescriptor that created this connection (this is used for creating further dependent objects).

## Method Details

### registerInlineBlob

protected void registerInlineBlob(FbWireTransaction transaction, InlineBlob inlineBlob)

### createBlobForInput

public FbBlob createBlobForInput(FbTransaction transaction, BlobParameterBuffer blobParameterBuffer, long blobId) throws SQLException
Description copied from interface: `FbDatabase`
Creates a blob for read access to an existing blob on the server.

The blob is initially closed.

If the server supports inline blobs, a locally cached blob may be returned if an inline blob was received for `transaction` and `blobId`, and if `blobParameterBuffer` is `null` or empty (`ParameterBuffer.isEmpty()`).

Specified by:
  `createBlobForInput` in interface `FbDatabase`
Overrides:
  `createBlobForInput` in class `AbstractFbWireDatabase`
Parameters:
  `transaction` - transaction associated with the blob
  `blobParameterBuffer` - blob parameter buffer
  `blobId` - id of the blob
Returns:
  instance of `FbBlob`
Throws:
  `SQLException` - if the database is not attached or the transaction is not active